Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class BaseInlineTextActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.BaseInlineTextActionHandler

All Implemented Interfaces:
  IInlineTextActionHandler

Direct Known Subclasses:
  InlineTextActionHandler

public abstract class BaseInlineTextActionHandler
extends java.lang.Object
implements IInlineTextActionHandler

A class that is used to handle all keyboard generated text actions associated with the displayed text editor

Field Summary
`protected static java.lang.String` `EMPTY_STRING` an empty string constant

Method Summary
`void` `dispose()` diposes this action-handler
`protected Text` `getText()` returns the text widget
`protected void` `handleCopy()` handles copy action
`protected void` `handleCut()` handles cut action
`protected void` `handleDelete()` handles delete action
`protected void` `handlePaste()` handles paste action
`protected void` `handleSelectAll()` handles select-all action
`protected boolean` `isHooked()` Returns the hooked.
`protected void` `setHooked(boolean hooked)` Sets the hooked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.util.IInlineTextActionHandler
`hookHandlers, unHookHandlers`

Field Detail

### EMPTY_STRING

    protected static final java.lang.String EMPTY_STRING

  an empty string constant

  See Also:
    Constant Field Values

Method Detail

### getText

    protected Text getText()

  returns the text widget

  Returns:
    Text The text widget

### dispose

    public void dispose()

  Description copied from interface: `IInlineTextActionHandler`
  diposes this action-handler

  Specified by:
    `dispose` in interface `IInlineTextActionHandler`
  See Also:
    `IInlineTextActionHandler`

### isHooked

    protected boolean isHooked()

  Returns the hooked.

  Returns:
    boolean

### setHooked

    protected void setHooked(boolean hooked)

  Sets the hooked.

  Parameters:
    `hooked` - The hooked to set

### handleCut

    protected void handleCut()

  handles cut action

### handleCopy

    protected void handleCopy()

  handles copy action

### handlePaste

    protected void handlePaste()

  handles paste action

### handleSelectAll

    protected void handleSelectAll()

  handles select-all action

### handleDelete

    protected void handleDelete()

  handles delete action

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.